Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.metaproject.impl
Class WrappedProtegeInstanceWithPropsImpl

    java.lang.Object
      edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
          edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceWithPropsImpl

All Implemented Interfaces:
  Localizable, Serializable

Direct Known Subclasses:
  PolicyControlledObjectImpl, UserImpl

    public abstract class WrappedProtegeInstanceWithPropsImpl

extends WrappedProtegeInstanceImpl

See Also:
  Serialized Form

Constructor Summary
`WrappedProtegeInstanceWithPropsImpl(MetaProjectImpl mp, Instance i, MetaProjectImpl.ClsEnum cls)`

Method Summary
`void` | `addPropertyValue(PropertyValue propertyValue)`
`void` | `addPropertyValue(String prop, String value)`
`String` | `getPropertyValue(String prop)`
`Set<PropertyValue>` | `getPropertyValues()`
`Collection<String>` | `getPropertyValuesAsString(String prop)`
`void` | `removePropertyValue(PropertyValue propertyValue)`
`void` | `removePropertyValue(String prop, String value)`
`void` | `setPropertyValue(String propertyName, String propertyValue)` Will replace any existing PropertyValue sharing the same propertyName with the PropertyValue passed in.
`void` | `setPropertyValues(Collection<PropertyValue> propertyValues)`

Methods inherited from class edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
`addSlotValue, equals, getCls, getMetaProject, getProtegeCollection, getProtegeInstance, getSlotValue, getSlotValues, hashCode, localize, removeSlotValue, setSlotValue, setSlotValuesAsProtegeInstances, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WrappedProtegeInstanceWithPropsImpl

    public WrappedProtegeInstanceWithPropsImpl(MetaProjectImpl mp,
                                               Instance i,
                                               MetaProjectImpl.ClsEnum cls)

Method Detail

### getPropertyValues

    public Set<PropertyValue> getPropertyValues()

### setPropertyValues

    public void setPropertyValues(Collection<PropertyValue> propertyValues)

### setPropertyValue

    public void setPropertyValue(String propertyName,
                                 String propertyValue)

  Will replace any existing PropertyValue sharing the same propertyName with the PropertyValue passed in.

  Parameters:
    `propertyValue` -

### addPropertyValue

    public void addPropertyValue(PropertyValue propertyValue)

### addPropertyValue

    public void addPropertyValue(String prop,
                                 String value)

### removePropertyValue

    public void removePropertyValue(PropertyValue propertyValue)

### removePropertyValue

    public void removePropertyValue(String prop,
                                    String value)

### getPropertyValuesAsString

    public Collection<String> getPropertyValuesAsString(String prop)

### getPropertyValue

    public String getPropertyValue(String prop)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.